"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
function signin(browser, username, password) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const page = yield browser.newPage();
        yield page.goto('https://www.goodreads.com/user/sign_in');
        yield page.type('#user_email', username);
        yield page.type('#user_password', password);
        yield page.click('[name="next"]');
        const loggedInPromise = page
            .waitForSelector('nav.siteHeader__primaryNavInline')
            .catch()
            .then(() => true);
        const loginErrorPromise = page
            .waitForSelector('.gr-flashMessage--error')
            .catch()
            .then(() => false);
        const success = yield Promise.race([loggedInPromise, loginErrorPromise]);
        return {
            page,
            success,
        };
    });
}
exports.default = signin;
//# sourceMappingURL=signin.js.map